Package com.usatiuk.dhfs.invalidation

# Class RemoteObjectMetaOpExtractor

java.lang.Object
com.usatiuk.dhfs.invalidation.RemoteObjectMetaOpExtractor

All Implemented Interfaces:
  `OpExtractor<RemoteObjectMeta>`

@ApplicationScoped public class RemoteObjectMetaOpExtractor extends Object implements OpExtractor<RemoteObjectMeta>

## Constructor Summary

Constructors
Constructor
Description
`RemoteObjectMetaOpExtractor()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
`extractOps(RemoteObjectMeta data, PeerId peerId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteObjectMetaOpExtractor

public RemoteObjectMetaOpExtractor()

## Method Details

### extractOps

public org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable> extractOps(RemoteObjectMeta data, PeerId peerId)

Specified by:
  `extractOps` in interface `OpExtractor<RemoteObjectMeta>`